Create BillJob - m3ter Documentation

Create BillJob

cURL

curl --request POST \
  --url https://api.m3ter.com/organizations/{orgId}/billjobs \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "version": 123,
  "lastDateInBillingPeriod": "2023-12-25",
  "billFrequencyInterval": 123,
  "billDate": "2023-12-25",
  "externalInvoiceDate": "2023-12-25",
  "dueDate": "2023-12-25",
  "accountIds": [
    "<string>"
  ],
  "targetCurrency": "<string>",
  "currencyConversions": [
    {
      "from": "EUR",
      "to": "USD",
      "multiplier": 1.12
    }
  ],
  "timezone": "UTC",
  "yearEpoch": "2023-12-25",
  "monthEpoch": "2023-12-25",
  "weekEpoch": "2023-12-25",
  "dayEpoch": "2023-12-25"
}
'

Python

import requests

url = "https://api.m3ter.com/organizations/{orgId}/billjobs"

payload = {
    "version": 123,
    "lastDateInBillingPeriod": "2023-12-25",
    "billFrequencyInterval": 123,
    "billDate": "2023-12-25",
    "externalInvoiceDate": "2023-12-25",
    "dueDate": "2023-12-25",
    "accountIds": ["<string>"],
    "targetCurrency": "<string>",
    "currencyConversions": [
        {
            "from": "EUR",
            "to": "USD",
            "multiplier": 1.12
        }
    ],
    "timezone": "UTC",
    "yearEpoch": "2023-12-25",
    "monthEpoch": "2023-12-25",
    "weekEpoch": "2023-12-25",
    "dayEpoch": "2023-12-25"
}

headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)

JavaScript (Fetch)

const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    version: 123,
    lastDateInBillingPeriod: '2023-12-25',
    billFrequencyInterval: 123,
    billDate: '2023-12-25',
    externalInvoiceDate: '2023-12-25',
    dueDate: '2023-12-25',
    accountIds: ['<string>'],
    targetCurrency: '<string>',
    currencyConversions: [{from: 'EUR', to: 'USD', multiplier: 1.12}],
    timezone: 'UTC',
    yearEpoch: '2023-12-25',
    monthEpoch: '2023-12-25',
    weekEpoch: '2023-12-25',
    dayEpoch: '2023-12-25'
  })
};

fetch('https://api.m3ter.com/organizations/{orgId}/billjobs', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP




Response Structure

{
  "id": "<string>",
  "version": 123,
  "lastDateInBillingPeriod": "2023-12-25",
  "billFrequencyInterval": 123,
  "billDate": "2023-12-25",
  "externalInvoiceDate": "2023-12-25",
  "dueDate": "2023-12-25",
  "accountIds": ["<string>"],
  "billIds": ["<string>"],
  "targetCurrency": "<string>",
  "currencyConversions": [
    {"from": "EUR", "to": "USD", "multiplier": 1.12}
  ],
  "timezone": "UTC",
  "yearEpoch": "2023-12-25",
  "monthEpoch": "2023-12-25",
  "weekEpoch": "2023-12-25",
  "dayEpoch": "2023-12-25",
  "total": 123,
  "pending": 123,
  "dtCreated": "2023-11-07T05:31:56Z",
  "dtLastModified": "2023-11-07T05:31:56Z",
  "createdBy": "<string>",
  "lastModifiedBy": "<string>"
}